Sets the boost value for this document

- « SolrInputDocument::reset

- SolrInputDocument::setFieldBoost »

- PHP Manual
- SolrInputDocument
- Sets the boost value for this document

# SolrInputDocument::setBoost

(PECL solr >= 0.9.2)

SolrInputDocument::setBoost — Sets the boost value for this document

### Description

public SolrInputDocument::setBoost(float `$documentBoostValue`): bool

Sets the boost value for this document.

### Parameters

`documentBoostValue`

  The index-time boost value for this document.

### Return Values

Returns `true` on success or `false` on failure.